Get Runtime Statistics
get
/applications/{applicationName}/databases/{databaseName}/statistics/runtime
Returns runtime statistics of the specified database.
Request
Path Parameters
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
Response
200 Response
OK
Database runtime statistics returned successfully.
400 Response
Bad Request
Failed to get database runtime statistics. The application or database name may be incorrect.
500 Response
Internal Server Error.
Examples
The following example shows how to get runtime statistics for a cube.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample_Dynamic/databases/Basic/statistics/runtime" -H "accept: application/json" -u %User%:%Password%Example of Response Body
{
"runtime": {
"cacheHitRatio": 0,
"currentCacheSize": 0,
"currentCacheSizeLimit": 0,
"pageReadsSinceLastStartup": 0,
"pageWritesSinceLastStartup": 0,
"pageSize": 0,
"diskSpaceAllocatedForData": 0,
"diskSpaceUsedByData": 0,
"temporaryDiskSpaceAllocated": 0,
"temporaryDiskSpaceUsed": 0,
"hitRatioOnIndexCache": 0,
"hitRatioOnDataCache": 0,
"numberOfIndexPageReads": 0,
"numberOfIndexPageWrites": 0,
"numberOfDataBlockReads": 0,
"numberOfDataBlockWrites": 0,
"hitRatioOnDataFileCache": 0
}
}